REST reference
Problems
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
POST
/problems/{problemId}/versionsPath Parameters
problemId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "version": 0, "createdAt": "string", "createdByName": "string", "note": "string", "props": null, "hasPackage": true, "files": [ { "name": "string", "scope": "string", "mimeType": "string", "sizeBytes": 0, "sha256": "string", "fileId": "string" } ]}GET
/problemsQuery Parameters
page?integer
Format
int32pageSize?integer
Format
int32search?string
mineOnly?boolean
includeArchived?boolean
Response Body
curl -X GET "https://example.com/problems"{ "items": [ { "id": "string", "slug": "string", "name": "string", "type": "string", "external": true, "ownerUserId": "string", "ownerName": "string", "visibility": "string", "sharedWith": [ "string" ], "archivedAt": "string", "currentVersion": 0, "versionCount": 0, "createdAt": "string", "attachedCount": 0 } ], "total": 0, "page": 0, "pageSize": 0}curl -X POST "https://example.com/problems" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "name": "string", "type": "string" }'{ "id": "string", "slug": "string", "name": "string", "type": "string", "external": true, "ownerUserId": "string", "ownerName": "string", "visibility": "string", "sharedWith": [ "string" ], "archivedAt": "string", "currentVersion": 0, "versionCount": 0, "createdAt": "string", "attachedCount": 0}